from __future__ import division

import pygame

import data
import perlin

def get_rep(img, (x, y)):
    return img.get_at((x%img.get_width(), y%img.get_height()))
display = pygame.display.set_mode((512, 512))
def gen():
    p = perlin.generate((200,200))
    p = pygame.transform.smoothscale(p,display.get_size())
    for x in xrange(512):
        for y in xrange(512):
            hi = get_rep(data.image['high.png'], (x,y))
            me = get_rep(data.image['med.png'], (x,y))
            lw = get_rep(data.image['low.png'], (x,y))
            l = p.get_at((x, y))[0]/256.
            if l < 3./7:
                clr = map(lambda (wt,la): l*la+(1-l)*wt, zip(lw, me))
            elif l > 4.5/7.:
                clr = hi
            else:
                clr = me
                clr = map(lambda x: x*(l/2+.5), clr)
            display.set_at((x, y), clr)
    #display.blit(p, (0,0))
    print 'done'
    while True:
        pygame.display.update()
gen()
