from __future__ import division

import math

import numpy
import pygame

def generate(size):
    r = pygame.Surface(size)
    for i in xrange(2, int(math.log(size[0]*.5+size[1]*.5)/math.log(2))-1):
        j = 2**i
        ar = numpy.random.randint(256, size=(j, j)).astype('B')
        ar = pygame.image.frombuffer(ar.tostring(), (j, j), 'P')
        ar.set_palette([(x,x,x) for x in xrange(256)])
#        return ar
    ar = ar.convert(32)
    ar = pygame.transform.smoothscale(ar, size)
    ar.set_alpha(255./(i-1))
    r.blit(ar, (0, 0))
    return r
